#
# spec file for package asedit (Version 1.3.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mmcore mmbase mmslib xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         asedit
Release:      18
Copyright:    1994 Andrzej Stochniol
Group: 
Provides:     asedit 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.3.2
Summary:      An Editor
Source: asedit-1.3.2.tar.gz
Patch: asedit-1.3.2.dif
%description
A simple ASCII text editor for X11/Motif. Mouse support, dialog boxes,
hypertext online help, undo/redo.
The help box for the online help has a little bug: it is too small, you
must enlarge the box with the mouse.

Authors:
--------
    Andrzej Stochniol <A.Stochniol@ic.ac.uk>

%prep
%setup
%patch
xmkmf -a
%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make
mv asedit asedit.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make
%install
make install
make install.man
mv /usr/X11R6/bin/asedit /usr/X11R6/bin/asedit.SuSE-static
install -s asedit.SuSE-dynamic /usr/X11R6/bin
ln -sf asedit.SuSE-static /usr/X11R6/bin/asedit
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/asedit
/usr/X11R6/bin/asedit.SuSE-dynamic
/usr/X11R6/bin/asedit.SuSE-static
%config /usr/X11R6/lib/X11/app-defaults/Asedit
%config /usr/X11R6/lib/X11/app-defaults/Asedit-sgi
%config /usr/X11R6/lib/X11/app-defaults/Asedit_em
%config /usr/X11R6/lib/X11/app-defaults/Asedit_em-sgi
/usr/X11R6/lib/X11/asedit.hlp
/usr/X11R6/lib/X11/asedit_em.hlp

